# Asterisk Project : Asterisk 13 Application_RemoveQueueMember

Created by wikibot on Aug 08, 2014

# RemoveQueueMember()

### Synopsis

Dynamically removes queue members.

### Description

If the interface is NOT in the queue it will return an error.

This application sets the following channel variable upon completion:

- `RQMSTATUS`
  - REMOVED
  - NOTINQUEUE
  - NOSUCHQUEUE
  - NOTDYNAMIC
    Example: RemoveQueueMember(techsupport,SIP/3000)

### Syntax

    RemoveQueueMember(queuename,[interface])

##### Arguments

- `queuename`
- `interface`

### See Also

- Asterisk 13 Application_Queue
- Asterisk 13 Application_QueueLog
- Asterisk 13 Application_AddQueueMember
- Asterisk 13 Application_RemoveQueueMember
- Asterisk 13 Application_PauseQueueMember
- Asterisk 13 Application_UnpauseQueueMember
- Asterisk 13 Function_QUEUE_VARIABLES
- Asterisk 13 Function_QUEUE_MEMBER
- Asterisk 13 Function_QUEUE_MEMBER_COUNT
- Asterisk 13 Function_QUEUE_EXISTS
- Asterisk 13 Function_QUEUE_WAITING_COUNT
- Asterisk 13 Function_QUEUE_MEMBER_LIST
- Asterisk 13 Function_QUEUE_MEMBER_PENALTY

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538